Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_iseq_location_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE | pathobj
VALUE | base_label
VALUE | label
VALUE | first_lineno
int | node_id
rb_code_location_t | code_location

## Detailed Description

Definition at line 272 of file vm_core.h.

## Field Documentation

## ◆ base_label

VALUE rb_iseq_location_struct::base_label

Definition at line 274 of file vm_core.h.

Referenced by rb_iseq_base_label(), rb_iseq_method_name(), and rb_iseq_update_references().

## ◆ code_location

rb_code_location_t rb_iseq_location_struct::code_location

Definition at line 278 of file vm_core.h.

Referenced by rb_iseq_code_location(), and rb_resolve_me_location().

## ◆ first_lineno

VALUE rb_iseq_location_struct::first_lineno

Definition at line 276 of file vm_core.h.

Referenced by rb_backtrace_use_iseq_first_lineno_for_last_location(), and rb_iseq_first_lineno().

## ◆ label

VALUE rb_iseq_location_struct::label

Definition at line 275 of file vm_core.h.

Referenced by rb_iseq_label(), and rb_iseq_update_references().

## ◆ node_id

int rb_iseq_location_struct::node_id

Definition at line 277 of file vm_core.h.

## ◆ pathobj

VALUE rb_iseq_location_struct::pathobj

Definition at line 273 of file vm_core.h.

Referenced by rb_iseq_pathobj_set(), and rb_iseq_update_references().

The documentation for this struct was generated from the following files:

- vm_core.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h